
-- This file does not actually modify anything inside lib/tweak_data/tweakdata, it is just being used as a convenient way to
-- ensure that the checks below get executed automatically

ScrollInventoryPages_ShouldApplyFix = true

-- Do not run the fixed code if GoonMod is not installed, has a version number larger than 18 (which would likely have resolved
-- the issue at hand), or if it is not forcefully enabled where applicable (i.e. bypassing the version check)

if not _G.GoonBase then
	ScrollInventoryPages_ShouldApplyFix = false
	log("[ScrollInventoryPages] GoonMod is not installed / enabled, this fix is not required")
	return
end

if _G.GoonBase.Version > 18 then
	ScrollInventoryPages_ShouldApplyFix = false
	log("\n[ScrollInventoryPages] GoonMod version is greater than 18, this fix is not required (installed GoonMod version: " .. tostring(_G.GoonBase.Version) .. ")")
	log("Please remove ScrollInventoryPages as it is no longer necessary to fix inventory page scrolling\n")
	return
end

if not _G.GoonBase.SupportedVersion and (not _G.GoonBase.Options or not _G.GoonBase.Options.Updates or not _G.GoonBase.Options.Updates.BypassVersion) then
	ScrollInventoryPages_ShouldApplyFix = false
	log("[ScrollInventoryPages] GoonMod is not enabled, this fix is not required")
	return
end
